File gimp-fix-issue-3630-postscript-plugin-crashes.patch of Package gimp.16289

From bbcc7ca5f55e62404bd69bf2e5b198039ad3f568 Mon Sep 17 00:00:00 2001
From: Michael Natterer <mitch@gimp.org>
Date: Tue, 9 Jul 2019 15:36:13 +0200
Subject: [PATCH] Issue #3630 - postscript plugin crashes

gsapi_new_instance() now expects a pointer to a NULL-initialized
pointer. Initialize "void *instance" with NULL. Found by massimo.
---
 plug-ins/common/file-ps.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/plug-ins/common/file-ps.c b/plug-ins/common/file-ps.c
index 935a9bdbc8..4ddcce43b8 100644
--- a/plug-ins/common/file-ps.c
+++ b/plug-ins/common/file-ps.c
@@ -1585,7 +1585,7 @@ ps_open (const gchar      *filename,
   gboolean      is_pdf;
   gboolean      maybe_epsf = FALSE;
   int           code;
-  void         *instance;
+  void         *instance = NULL;
 
   resolution = loadopt->resolution;
   *llx = *lly = 0;
-- 
2.25.1
openSUSE Build Service is sponsored by